Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jdbc.remote
Class SerializableResultSetMetaData

    java.lang.Object
      org.jboss.resource.adapter.jdbc.remote.SerializableResultSetMetaData

All Implemented Interfaces:
  ResultSetMetaData, Serializable

public class SerializableResultSetMetaData
extends Object
implements ResultSetMetaData, Serializable

A wrapper to marshall ResultSetMetaData remotely.

Version:
  $Revision: 1.3 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from interface java.sql.ResultSetMetaData
`columnNoNulls, columnNullable, columnNullableUnknown`

Method Summary
`String` | `getCatalogName(int column)`
`String` | `getColumnClassName(int column)`
`int` | `getColumnCount()`
`int` | `getColumnDisplaySize(int column)`
`String` | `getColumnLabel(int column)`
`String` | `getColumnName(int column)`
`int` | `getColumnType(int column)`
`String` | `getColumnTypeName(int column)`
`int` | `getPrecision(int column)`
`int` | `getScale(int column)`
`String` | `getSchemaName(int column)`
`String` | `getTableName(int column)`
`boolean` | `isAutoIncrement(int column)`
`boolean` | `isCaseSensitive(int column)`
`boolean` | `isCurrency(int column)`
`boolean` | `isDefinitelyWritable(int column)`
`int` | `isNullable(int column)`
`boolean` | `isReadOnly(int column)`
`boolean` | `isSearchable(int column)`
`boolean` | `isSigned(int column)`
`boolean` | `isWritable(int column)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getColumnCount

    public int getColumnCount()
                       throws SQLException

  Specified by:
    `getColumnCount` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### isAutoIncrement

    public boolean isAutoIncrement(int column)
                            throws SQLException

  Specified by:
    `isAutoIncrement` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### isCaseSensitive

    public boolean isCaseSensitive(int column)
                            throws SQLException

  Specified by:
    `isCaseSensitive` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### isSearchable

    public boolean isSearchable(int column)
                         throws SQLException

  Specified by:
    `isSearchable` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### isCurrency

    public boolean isCurrency(int column)
                       throws SQLException

  Specified by:
    `isCurrency` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### isNullable

    public int isNullable(int column)
                   throws SQLException

  Specified by:
    `isNullable` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### isSigned

    public boolean isSigned(int column)
                     throws SQLException

  Specified by:
    `isSigned` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### getColumnDisplaySize

    public int getColumnDisplaySize(int column)
                             throws SQLException

  Specified by:
    `getColumnDisplaySize` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### getColumnLabel

    public String getColumnLabel(int column)
                          throws SQLException

  Specified by:
    `getColumnLabel` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### getColumnName

    public String getColumnName(int column)
                         throws SQLException

  Specified by:
    `getColumnName` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### getSchemaName

    public String getSchemaName(int column)
                         throws SQLException

  Specified by:
    `getSchemaName` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### getPrecision

    public int getPrecision(int column)
                     throws SQLException

  Specified by:
    `getPrecision` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### getScale

    public int getScale(int column)
                 throws SQLException

  Specified by:
    `getScale` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### getTableName

    public String getTableName(int column)
                        throws SQLException

  Specified by:
    `getTableName` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### getCatalogName

    public String getCatalogName(int column)
                          throws SQLException

  Specified by:
    `getCatalogName` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### getColumnType

    public int getColumnType(int column)
                      throws SQLException

  Specified by:
    `getColumnType` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### getColumnTypeName

    public String getColumnTypeName(int column)
                             throws SQLException

  Specified by:
    `getColumnTypeName` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### isReadOnly

    public boolean isReadOnly(int column)
                       throws SQLException

  Specified by:
    `isReadOnly` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### isWritable

    public boolean isWritable(int column)
                       throws SQLException

  Specified by:
    `isWritable` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### isDefinitelyWritable

    public boolean isDefinitelyWritable(int column)
                                 throws SQLException

  Specified by:
    `isDefinitelyWritable` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

### getColumnClassName

    public String getColumnClassName(int column)
                              throws SQLException

  Specified by:
    `getColumnClassName` in interface `ResultSetMetaData`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.